/**
 * @file
 * Generic base elements.
 */

@import "variables.css";

@layer base {
  h1 {
    @apply text-4xl;
  }
  h2 {
    @apply text-2xl;
  }
  h3 {
    @apply text-base;
  }
  h1, h2, h3 {
    @apply font-bold;
  }
}

.block-system-main-block a {
  @apply tw-underline;
}
.block-system-main-block a.button,
.block-system-main-block a.tw-no-underline,
.block-system-main-block table thead th a {
  @apply tw-no-underline;
}
.block-system-main-block a:hover,
.block-system-main-block a:focus {
  text-decoration-color: var(--color-red-200);
}

[data-oi-element-style='underline']:not(.embedded-entity, .taxonomy-term, [data-oi-element-node-name="orlando_place"]),
[data-oi-element-style='underline'] > a {
  @apply underline;
}
[data-oi-element-style='bold'] {
  @apply tw-font-bold;
}
[data-oi-element-style='italic'] {
  @apply tw-italic;
}
[data-oi-element-style="single_quote"]::before,
[data-oi-element-style="single_quote"]::after {
  content: "'";
}
[data-oi-element-style="quote"]:not(.tw-block)::before,
[data-oi-element-style="quote"]:not(.tw-block)::after {
  content: '"';
}

table tbody tr td .tw-prose {
  @apply tw-text-sm;
}
.tw-prose div[data-oi-element-style="list"] {
  h2 {
    @apply tw-pt-6 tw-mt-6 tw-border-t tw-border-gray-200 tw-capitalize;
  }
  > div + div {
    @apply tw-pt-3 tw-mt-3 tw-border-t tw-border-gray-200;
  }
}
span[data-oi-element-entity-placeholder][data-embed-button="taxonomy"] {
  display: none;
}
